import * as React from 'react';
import { BaseFieldProps } from '../../common/interfaces/CommonProps';
export interface DropdownOption {
    value: string;
    type: 'header' | 'disabled' | 'divider';
}
export interface DropdownProps extends BaseFieldProps {
    defaultValue?: any;
    input: any;
    isCaret?: boolean;
    color?: 'primary' | 'secondary' | 'success' | 'info' | 'warning' | 'danger';
    text: string;
    options: DropdownOption[];
    size: 'lg' | 'sm';
    direction: 'up' | 'down' | 'left' | 'right';
}
export interface RFDropdownState {
    isOpen: boolean;
}
export declare class Dropdown extends React.Component<DropdownProps, RFDropdownState> {
    static defaultProps: {
        isCaret: boolean;
        color: string;
        size: string;
        direction: string;
    };
    static DROPDOWN_TYPE: {
        HEADER: string;
        DISABLED: string;
        DIVIDER: string;
    };
    constructor(props: DropdownProps);
    toggle: () => void;
    saveToStore: (data: string) => void;
    render(): JSX.Element;
}
